Update webhook
curl --request PUT \
--url https://api.example.com/organizations/{organizationId}/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/webhooks",
"events": [
"organization.created",
"organization.updated"
],
"isActive": true
}
'import requests
url = "https://api.example.com/organizations/{organizationId}/webhooks/{id}"
payload = {
"url": "https://example.com/webhooks",
"events": ["organization.created", "organization.updated"],
"isActive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/webhooks',
events: ['organization.created', 'organization.updated'],
isActive: true
})
};
fetch('https://api.example.com/organizations/{organizationId}/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
webhooks
Update webhook
Updates webhook configuration. Allows updating URL, events, and active status.
PUT
/
organizations
/
{organizationId}
/
webhooks
/
{id}
Update webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Webhook updated successfully with new configuration.